@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


@import "../support/_promotionenginebackoffice-variables.scss";

.yrb-tabpanel-groupbox-promotions {
	.z-groupbox-content {
		.z-grid-header .z-column-content {
			padding: $promotionengine__promotions-groupbox-column-content--padding;
		}
		.z-grid-body tr.z-row {
			td.z-row-inner {
				vertical-align: top;
			}
			.z-row-content > .z-label {
				display: inline;
			}
			td.z-row-inner, 
			.z-cell, 
			.z-detial-outer {
				border-bottom: none;
				border-top: $promotionengine__promotions-groupbox-detailed--border;
			}
			&:first-child {
				td.z-row-inner, 
				.z-cell, 
				.z-detial-outer {
					border-top-color: transparent;
				}
			}
		}
	}
	.yrb-label-break-all {
		word-break: break-all;
	}
	.yrb-promo-grid-detailed {
		.z-column {
			padding-bottom: $promotionengine__promotions-groupbox-detail-column--padding-v;
		    padding-top: $promotionengine__promotions-groupbox-detail-column--padding-v;

		    &-content {
				font-size: $promotionengine__promotions-groupbox-detail-column--font-size;
				line-height: $promotionengine__promotions-groupbox-detail-column--line-height;
				word-break: break-all;
				
				white-space: normal;
				vertical-align: top;

				// This is needed to apply better word-break on browsers supporting this.
				// Others (like IE or early Edge) are ignoring the value.
				// This is a performance improvement.
				word-break: break-word; // NOSONAR
			}
		}
		.z-detail {
			width: 100%;

			&-inner {
				overflow: hidden;
				
				.z-detail-content {
					border: $promotionengine__promotions-groupbox-detailed--border;
					padding-left: $promotionengine__promotions-groupbox-detail-content--padding-left;
					background-color: $promotionengine__promotions-groupbox-detail-content--bg-color;
					border-left-width: 0;
				}
				.z-row-content, 
				.z-group-content, 
				.z-groupfoot-content, 
				.z-footer-content {
					color: $promotionengine__promotions-groupbox-detail-content--color;
				}
				.z-grid-body .z-label {
					color: inherit;
				}
				.z-grid-header {
					background-color: $promotionengine__promotions-groupbox-detail-header--bg-color;
				}
			}
			&-outer {
				width: $promotionengine__promotions-groupbox-detail-content--padding-left;
				padding: 0;

				.z-row {
					padding: 0;
				}
				&.z-detail-open {
					border-bottom: $promotionengine__promotions-groupbox-detailed--border;
				}
			}
			&-icon:before {
				content: $promotionengine__promotions-groupbox-detail-icon;
			}
			&-open .z-detail-icon:before {
				content: $promotionengine__promotions-groupbox-detail-open-icon;
			}
		}
		tr.z-row:last-child .z-detail-inner .z-detail-content {
			margin-bottom: 0;
		}
		&-title {
			font-size: $promotionengine__promotions-groupbox-detailed-title--font-size;
			font-weight: $promotionengine__promotions-groupbox-detailed-title--font-weight;
			color: $promotionengine__promotions-groupbox-detailed-title--color;
			padding: $promotionengine__promotions-groupbox-detailed-title--padding;
		}
	}
}
